Bug 1083334 - openSUSE-Tumbleweed-ARM-JeOS-efi.armv7l-2018.02.27: Failed first boot
openSUSE-Tumbleweed-ARM-JeOS-efi.armv7l-2018.02.27: Failed first boot
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
armv7 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Guilherme Moro
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-28 16:12 UTC by Matwey Kornilov
Modified: 2018-04-04 12:40 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matwey Kornilov 2018-02-28 16:12:54 UTC
Hi,

When I try to boot openSUSE-Tumbleweed-ARM-JeOS-efi.armv7l-2018.02.27 under qemu the following happens:


         Starting dracut pre-mount hook...
[   82.608205] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[   82.684982] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  103.419449] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  104.085662] dracut-pre-mount[369]:   Failed to find physical volume "/dev/sda3".
[  105.416195] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  105.976919] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  106.001611] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  106.650994] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  107.107057] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  107.111279] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  125.809663] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  126.527899] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  126.537558] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  126.566603] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  127.159716] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  127.596893] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  127.613690] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  127.690057] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  128.505550] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  128.897794] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  128.908167] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  128.956278] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  129.783740] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  130.303679] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  130.307891] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  130.343304] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  131.105905] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  131.449137] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  131.462379] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  131.477790] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  132.155859] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  132.488097] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  132.492235] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  132.510668] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  133.415792] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  133.803156] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  133.819174] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  133.875641] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  134.990680] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  135.864222] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  135.872911] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  135.905309] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  136.872567] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  137.289208] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  137.350627] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  137.398135] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  138.303253] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  139.051687] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  139.059083] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  139.099677] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  139.783428] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  140.099496] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  140.102845] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  140.156170] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  140.882478] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  141.359863] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  141.404558] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  141.444382] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  142.384587] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  143.096765] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  143.114638] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  143.150956] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  143.774430] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  144.211927] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  144.234171] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  144.261622] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  145.284207] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  145.736362] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  145.751781] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  145.816568] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  146.825346] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  147.104391] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  147.109786] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  147.204171] dracut-pre-mount[369]: Warning: Warning: requested size cannot be reached !
[  151.500040] dracut-pre-mount[369]:   WARNING: Locking disabled. Be careful! This could corrupt your metadata.
[  151.876851] dracut-pre-mount[369]:   Volume group "openSUSE" not found
[  151.885926] dracut-pre-mount[369]:   Cannot process volume group openSUSE
[  OK  ] Started dracut pre-mount hook.
         Starting File System Check on /dev/…234-286d-462e-b0dd-7ea568832bdc...
[  OK  ] Started File System Check on /dev/d…9c234-286d-462e-b0dd-7ea568832bdc.
         Mounting /sysroot...
[FAILED] Failed to mount /sysroot.
See 'systemctl status sysroot.mount' for details.
[DEPEND] Dependency failed for Initrd Root File System.
[DEPEND] Dependency failed for Reload Configuration from the Real Root.
[ SKIP ] Ordering cycle found, skipping dracut pre-pivot and cleanup hook
[ SKIP ] Ordering cycle found, skipping Initrd Default Target
[ SKIP ] Ordering cycle found, skipping dracut pre-pivot and cleanup hook
[ SKIP ] Ordering cycle found, skipping Initrd Default Target
[  OK  ] Reached target Initrd File Systems.
         Starting Setup Virtual Console...
[  OK  ] Reached target Initrd Default Target.
[  OK  ] Stopped dracut pre-mount hook.
[  OK  ] Stopped dracut initqueue hook.
         Starting dracut pre-pivot and cleanup hook...
[  OK  ] Stopped dracut pre-trigger hook.
[  OK  ] Stopped dracut pre-udev hook.
[  OK  ] Stopped dracut cmdline hook.
[  OK  ] Started Setup Virtual Console.
         Starting Emergency Shell...
[  OK  ] Started dracut pre-pivot and cleanup hook.

Generating "/run/initramfs/rdsosreport.txt"


Entering emergency mode. Exit the shell to continue.
Type "journalctl" to view system logs.
You might want to save "/run/initramfs/rdsosreport.txt" to a USB stick or /boot
after mounting them and attach it to a bug report.


:/# 

# systemctl status sysroot.mount
● sysroot.mount - /sysroot
   Loaded: loaded (/proc/cmdline; generated; vendor preset: enabled)
   Active: failed (Result: exit-code) since Mon 2018-02-19 14:28:46 UTC; 5min ag
    Where: /sysroot
     What: /dev/disk/by-uuid/37e9c234-286d-462e-b0dd-7ea568832bdc
     Docs: man:fstab(5)
           man:systemd-fstab-generator(8)
  Process: 1311 ExecMount=/usr/bin/mount /dev/disk/by-uuid/37e9c234-286d-462e-b0

Feb 19 14:28:46 localhost systemd[1]: Mounting /sysroot...
Feb 19 14:28:46 localhost systemd[1]: sysroot.mount: Mount process exited, code=
Feb 19 14:28:46 localhost systemd[1]: Failed to mount /sysroot.
Feb 19 14:28:46 localhost systemd[1]: sysroot.mount: Unit entered failed state.


There seems to be some wrong rootfs arguments.

mount: /sysroot: wrong fs type, bad option, bad superblock on /dev/sda3, missing codepage or helper program, or other error.

[  650.395745] BTRFS info (device sda3): unrecognized mount option 'size=100%'
[  650.536739] BTRFS error (device sda3): open_ctree failed
Comment 1 Guilherme Moro 2018-03-21 13:23:47 UTC
Hi Matwey,
I'm not directly responsible for this exact image, I will try to look in to it and let you know.
Comment 2 Alexander Graf 2018-04-04 12:40:11 UTC
The efi target was changed to dracut based initrd, but still contained the kiwi initrd option size=100%. The following JeOS change fixed it:

  https://build.opensuse.org/package/rdiff/openSUSE:Factory:ARM/JeOS?linkrev=base&rev=606

So I guess we can close this bug.